Subject: bug#43960:

From: zimoun <[email-masked]>
Date: Mon, 19 Oct 2020 19:01:24 +0200

Dear,

On Thu, 15 Oct 2020 at 18:39, Bengt Richter <[email-masked]> wrote:
>> On Thu, 15 Oct 2020 at 15:53, Bengt Richter <[email-masked]> wrote:
>> 
>> > If there is a left-over from old manual installation advice like
>> > --8<---------------cut here---------------start------------->8---
>> > /usr/local/bin/guix:
>> >     symbolic link to /var/guix/profiles/per-user/root/current-guix/bin/guix
>> > --8<---------------cut here---------------end--------------->8---
>> > could it interfere in any way with the above, or subsequent operation?

I do not think it interferes.

> Yes. I didn't realize it was still there -- I may mis-remember some discussion
> deprecating the use of /usr/local/* to affect the namespace seen when typing
> guix whatever.
> (vs putting needed info in ~/.bash_profile or ~/.profile)

I am not sure to understand what you mean.  I should have missed such
discussions.  Do you have pointers?

> I.e., even though the target is /var/guix/... it is not by way of
> ~/.guix-profile unless
> that's been put first in the path via ~/.bash_profile.
>
> But /usr/local/bin is typically on a default PATH, so could you not
> accidentally see the
> wrong guix (rather than a more informative file-not-found) if the enviroment
> was not
> straight-forwardly inherited from a normal login? (e.g. emacs subshell pts?
> Haven't checked ;)

I am sorry, I do not understand your point.  On Debian, fresh user:

--8<---------------cut here---------------start------------->8---
$ ls -a
.  ..  .bash_logout  .bashrc  .profile
$ which guix
/usr/local/bin/guix
$ guix pull
[..]
hint: Consider setting the necessary environment variables by running:

     GUIX_PROFILE="/home/kikoo/.config/guix/current"
     . "$GUIX_PROFILE/etc/profile"

Alternately, see `guix package --search-paths -p "/home/kikoo/.config/guix/current"'.

hint: Run `guix pull --news' to read all the news.

hint: After setting `PATH', run `hash guix' to make sure your shell refers to
`/home/kikoo/.config/guix/current/bin/guix'.

$ guix pull # again
nothing to be done

hint: Run `guix pull --news' to read all the news.

hint: After setting `PATH', run `hash guix' to make sure your shell refers to
`/home/kikoo/.config/guix/current/bin/guix'.
--8<---------------cut here---------------end--------------->8---

Is your point that:

   guix install hello

will install ’hello’ from the Guix at version of ’/usr/local/bin/guix’?
Well, if you see improvements in this area, please open a separate
bug/whishlist report.

All the best,
simon